Module: selenium-webdriver/firefox/binary
View Source

# class Binary

    webdriver.Serializable
      └ Binary

Provides a mechanism to configure and launch Firefox in a subprocess for use with WebDriver.

### new Binary(opt_exe)

Parameters

opt_exe`string=`

  Path to the Firefox binary to use. If not specified, will attempt to locate Firefox on the current system.

## Instance Methods

### addArguments(var_args)code »

Add arguments to the command line used to start Firefox.

Parameters

var_args`...(string|Array<string>)`

  Either the arguments to add as varargs, or the arguments as an array.

### launch(profile)code »

Launches Firefox and returns a promise that will be fulfilled when the process terminates.

Parameters

profile`string`

  Path to the profile directory to use.

Returns

`webdriver.promise.Promise`

  A promise for the handle to the started subprocess.

### serialize()code »

Returns a promise for the wire representation of this binary. Note: the FirefoxDriver only supports passing the path to the binary executable over the wire; all command line arguments and environment variables will be discarded.

Overrides: webdriver.Serializable

Returns

`webdriver.promise.Promise`

  A promise for this binary's wire representation.